cancel
Showing results for 
Search instead for 
Did you mean: 

Drivers & Software

simervillefarm
Journeyman III

Ubuntu 18.04 and AMDGPU support

Will AMD be releasing drivers (beta, RC or even better FR) for Ubuntu 18.04?  The current drivers fail while generating DKMS modules, I have attached the logs to this post.

Here is the high point of the log (on rapid first glance)

make: Entering directory '/usr/src/linux-headers-4.15.0-20-generic'

Makefile:976: "Cannot use CONFIG_STACK_VALIDATION=y, please install libelf-dev, libelf-devel or elfutils-libelf-devel"

0 Likes
5 Replies
simervillefarm
Journeyman III

Re: Ubuntu 18.04 and AMDGPU support

Update.  I have installed libelf-dev (sudo apt install libelf-dev) and the install changed, but it still does not work.  The new high point of the /var/lib/dkms/amdgpu/17.50-511655/build/make.log is

cc1: some warnings being treated as errors

scripts/Makefile.build:332: recipe for target '/var/lib/dkms/amdgpu/17.50-511655/build/amd/amdkcl/kcl_drm.o' failed

make[2]: *** [/var/lib/dkms/amdgpu/17.50-511655/build/amd/amdkcl/kcl_drm.o] Error 1

scripts/Makefile.build:606: recipe for target '/var/lib/dkms/amdgpu/17.50-511655/build/amd/amdkcl' failed

make[1]: *** [/var/lib/dkms/amdgpu/17.50-511655/build/amd/amdkcl] Error 2

make[1]: *** Waiting for unfinished jobs....

scripts/Makefile.build:332: recipe for target '/var/lib/dkms/amdgpu/17.50-511655/build/ttm/ttm_memory.o' failed

make[2]: *** [/var/lib/dkms/amdgpu/17.50-511655/build/ttm/ttm_memory.o] Error 1

scripts/Makefile.build:606: recipe for target '/var/lib/dkms/amdgpu/17.50-511655/build/ttm' failed

make[1]: *** [/var/lib/dkms/amdgpu/17.50-511655/build/ttm] Error 2

New log attached to this post as well.

0 Likes
simervillefarm
Journeyman III

Re: Ubuntu 18.04 and AMDGPU support

Am I the only one in the world trying to run Ubuntu 18.04 with a amdgpu?

0 Likes
rampitec
Staff
Staff

Re: Ubuntu 18.04 and AMDGPU support

So far I was able to workaround the problem by downgrading the kernel to 4.13. Unfortunately 4.13 is not present in 18.04 repo, so I was reusing the one I had before the upgrade and then manually dowloaded kernel-headers deb files matching the kernel version and installed via dpkg -i.

After that:

sudo apt install --reinstall amdgpu-dkms

That helped me.

0 Likes
martinscharnke
Journeyman III

Re: Ubuntu 18.04 and AMDGPU support

I run an AMD A12

I've been running 18.04 pre-release spins and have had success with amdgpu-pro-17.50-511655 running opencl.

Since going to the official 18.04 I have been waitng for when the official AMD driver for 18.04 comes out.

0 Likes
serikame
Journeyman III

Re: Ubuntu 18.04 and AMDGPU support

No, usted no es el único en el mundo, estoy luchando con Ubuntu Studio 18.04 hace dos semanas. And I can not increase the resolution of the monitor

0 Likes